Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Portage claims package is masked [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
MdaG
l33t
l33t


Joined: 09 Nov 2004
Posts: 945
Location: Stockholm, Sverige

PostPosted: Thu Jun 01, 2006 12:02 pm    Post subject: Portage claims package is masked [solved] Reply with quote

I don't know how to interpret this:
Quote:

#emerge -DuvaN world

These are the packages that I would merge, in order:

Calculating world dependencies
!!! Packages for the following atoms are either all
!!! masked or don't exist:
sys-kernel/suspend2-sources
...done!
[blocks B ] sys-apps/pam-login (is blocking sys-apps/shadow-4.0.15-r2)
[ebuild U ] sys-devel/binutils-2.16.1-r2 [2.16.1] -multislot -multitarget +nls -test -vanilla 12,298 kB
[ebuild U ] sys-devel/gcc-3.4.6-r1 [3.4.5-r1] (-altivec) -bootstrap -boundschecking -build -doc +fortran -gcj +gtk -hardened -ip28 -ip32r10k (-multilib) -multislot (-n32) (-n64) +nls -nocxx -nopie -nossp -objc -vanilla 27,694 kB
[ebuild N ] sys-kernel/gentoo-sources-2.6.16-r7 -build -doc -symlink (-ultra1) 40,094 kB
[ebuild U ] app-admin/perl-cleaner-1.04 [1.03] 5 kB
[ebuild U ] media-libs/tiff-3.8.2 [3.7.4] +jpeg -nocxx +zlib 1,304 kB
[ebuild U ] app-office/dia-0.95.1 [0.94-r5] -debug +gnome +png +python +zlib 4,104 kB
[ebuild U ] dev-libs/libksba-0.9.14 [0.9.13] 480 kB
[ebuild U ] dev-libs/nss-3.11-r1 [3.9.2-r2] 4,885 kB
[ebuild U ] app-editors/vim-core-7.0.17 [7.0-r2] -acl +bash-completion -livecd +nls 17 kB
[ebuild U ] app-editors/gvim-7.0.17 [7.0-r2] -acl (-aqua) +bash-completion -cscope +gnome +gpm +gtk +motif -mzscheme -netbeans -nextaw +nls +perl +python +ruby 0 kB
[ebuild U ] sys-apps/shadow-4.0.15-r2 [4.0.14-r1] +nls -nousuid +pam (-selinux) -skey 1,264 kB
[ebuild R ] dev-lang/swig-1.3.21 +X -doc -guile +java +perl -php +python +ruby* +tcltk 1,975 kB

Total size of downloads: 94,124 kB

!!! Error: The above package list contains packages which cannot be installed
!!! on the same system.


This is my package.mask
Quote:
<sys-kernel/suspend2-sources-2.6.17

This is my package.unmask (I'm unmasking my current kernel)
Quote:
=sys-kernel/suspend2-sources-2.6.16-r4

How do I get around this and why is gentoo-sources pulled in by xterm?
Quote:
# emerge -DuatN world

These are the packages that I would merge, in reverse order:

Calculating world dependencies ...done!
[blocks B ] sys-apps/pam-login (is blocking sys-apps/shadow-4.0.15-r2)
[nomerge ] dev-util/subversion-1.2.3-r2
[ebuild R ] dev-lang/swig-1.3.21
[nomerge ] gnome-base/gnome-2.12.3
[nomerge ] gnome-base/gnome-applets-2.12.3
[nomerge ] app-admin/system-tools-backends-1.4.2
[ebuild U ] sys-apps/shadow-4.0.15-r2 [4.0.14-r1]
[ebuild U ] app-editors/gvim-7.0.17 [7.0-r2]
[nomerge ] app-vim/gentoo-syntax-20051221
[ebuild U ] app-editors/vim-core-7.0.17 [7.0-r2]
[nomerge ] x11-themes/gaim-smileys-20031002
[nomerge ] net-im/gaim-1.5.0
[ebuild U ] dev-libs/nss-3.11-r1 [3.9.2-r2]
[nomerge ] net-www/mplayerplug-in-3.21
[nomerge ] www-client/mozilla-1.7.13
[nomerge ] app-crypt/gnupg-1.9.20-r3
[ebuild U ] dev-libs/libksba-0.9.14 [0.9.13]
[ebuild U ] app-office/dia-0.95.1 [0.94-r5]
[nomerge ] x11-misc/xscreensaver-4.24
[nomerge ] media-libs/netpbm-10.30-r1
[ebuild U ] media-libs/tiff-3.8.2 [3.7.4]
[ebuild U ] app-admin/perl-cleaner-1.04 [1.03]
[nomerge ] x11-terms/xterm-207
[nomerge ] sys-apps/utempter-0.5.5.6
[nomerge ] app-arch/rpm2targz-9.0-r3
[nomerge ] sys-apps/which-2.16
[nomerge ] dev-lang/tk-8.4.9
[nomerge ] x11-base/xorg-x11-6.8.2-r7
[ebuild N ] sys-kernel/gentoo-sources-2.6.16-r7
[nomerge ] sys-libs/libstdc++-v3-3.3.4
[ebuild U ] sys-devel/gcc-3.4.6-r1 [3.4.5-r1]
[ebuild U ] sys-devel/binutils-2.16.1-r2 [2.16.1]


Last edited by MdaG on Thu Jun 01, 2006 6:19 pm; edited 1 time in total
Back to top
View user's profile Send private message
Genone
Retired Dev
Retired Dev


Joined: 14 Mar 2003
Posts: 9023
Location: beyond the rim

PostPosted: Thu Jun 01, 2006 12:08 pm    Post subject: Reply with quote

What does
Code:
emerge -p =sys-kernel/suspend2-sources-2.6.16-r4
say?
Back to top
View user's profile Send private message
MdaG
l33t
l33t


Joined: 09 Nov 2004
Posts: 945
Location: Stockholm, Sverige

PostPosted: Thu Jun 01, 2006 12:09 pm    Post subject: Reply with quote

Uhm
Quote:
# emerge -p =sys-kernel/suspend2-sources-2.6.16-r4

These are the packages that I would merge, in order:

Calculating dependencies
emerge: there are no ebuilds to satisfy "=sys-kernel/suspend2-sources-2.6.16-r4".


According to portage that is my current kernel...
Quote:
# emerge --info
Portage 2.0.54-r2 (default-linux/x86/2005.1, gcc-3.4.5, glibc-2.3.6-r3, 2.6.16-suspend2-r4 i686)


Trying to unmerge yields:
Quote:
$ emerge -Cp suspend2-sources

>>> These are the packages that I would unmerge:

sys-kernel/suspend2-sources
selected: 2.6.15-r6 2.6.15-r8 2.6.16-r4
protected: none
omitted: none

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.


Last edited by MdaG on Thu Jun 01, 2006 5:25 pm; edited 1 time in total
Back to top
View user's profile Send private message
chunderbunny
Veteran
Veteran


Joined: 31 May 2004
Posts: 1281
Location: 51°24'27" N, 0°57'15" W

PostPosted: Thu Jun 01, 2006 5:13 pm    Post subject: Reply with quote

It looks like the -r4 version has been removed from the tree in favour of the -r7 version. Just because you have it installed doesn't mean it is still in the portage tree. :wink:

You will have to upgrade to suspend2-sources-2.6.16-r7 or keep a copy of the 2.6.16-r4 ebuild in your local portage overlay.
Back to top
View user's profile Send private message
MdaG
l33t
l33t


Joined: 09 Nov 2004
Posts: 945
Location: Stockholm, Sverige

PostPosted: Thu Jun 01, 2006 5:30 pm    Post subject: Reply with quote

Ok... I didn't know packages could seize to exist like that.
I unmasked r7 and got the following result.
Quote:
# emerge -DuvaN world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[blocks B ] sys-apps/pam-login (is blocking sys-apps/shadow-4.0.15-r2)
[ebuild U ] sys-devel/binutils-2.16.1-r2 [2.16.1] -multislot -multitarget +nls -test -vanilla 0 kB
[ebuild U ] sys-devel/gcc-3.4.6-r1 [3.4.5-r1] (-altivec) -bootstrap -boundschecking -build -doc +fortran -gcj +gtk -hardened -ip28 -ip32r10k (-multilib) -multislot (-n32) (-n64) +nls -nocxx -nopie -nossp -objc -vanilla 0 kB
[ebuild NS ] sys-kernel/suspend2-sources-2.6.16-r7 -build -doc -symlink (-ultra1) 320 kB
[ebuild U ] app-admin/perl-cleaner-1.04 [1.03] 0 kB
[ebuild U ] media-libs/tiff-3.8.2 [3.7.4] +jpeg -nocxx +zlib 0 kB
[ebuild U ] app-office/dia-0.95.1 [0.94-r5] -debug +gnome +png +python +zlib 0 kB
[ebuild U ] dev-libs/libksba-0.9.14 [0.9.13] 0 kB
[ebuild U ] dev-libs/nss-3.11-r1 [3.9.2-r2] 0 kB
[ebuild U ] app-editors/vim-core-7.0.17 [7.0-r2] -acl +bash-completion -livecd +nls 0 kB
[ebuild U ] app-editors/gvim-7.0.17 [7.0-r2] -acl (-aqua) +bash-completion -cscope +gnome +gpm +gtk +motif -mzscheme -netbeans -nextaw +nls +perl +python +ruby 0 kB
[ebuild U ] sys-apps/shadow-4.0.15-r2 [4.0.14-r1] +nls -nousuid +pam (-selinux) -skey 0 kB
[ebuild R ] dev-lang/swig-1.3.21 +X -doc -guile +java +perl -php +python +ruby* +tcltk 0 kB

Total size of downloads: 320 kB

!!! Error: The above package list contains packages which cannot be installed
!!! on the same system.

Now, I'm not used to blockings and all, but is it safe to unmerge pam-login? I haven't emerged that myself so I'll assume it was needed by the system...
Back to top
View user's profile Send private message
dobysirius
n00b
n00b


Joined: 27 Nov 2005
Posts: 69
Location: Sofia, Bulgaria

PostPosted: Thu Jun 01, 2006 6:15 pm    Post subject: Reply with quote

MdaG wrote:
Now, I'm not used to blockings and all, but is it safe to unmerge pam-login? I haven't emerged that myself so I'll assume it was needed by the system...

https://forums.gentoo.org/viewtopic-t-443022.html
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Mon Jun 05, 2006 7:43 pm    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads in favour of the thread dobysirius linked to above.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum